-- name: [PET] Cheese the Chao 
-- description: Cream's trusted friend! Always there when you need him.

if not _G.wpets then return end

local E_MODEL_CHEESE = smlua_model_util_get_id('cheese_wpet_geo')
local E_MODEL_CHEESE_C = smlua_model_util_get_id('cheese_color_wpet_geo')

local ID_CHEESE = _G.wpets.add_pet({
    name = "Cheese the Chao", credit = "Gamebun",
    description = "Cream's trusted friend! Always there when you need him.",
    modelID = E_MODEL_CHEESE,
    scale = 0.6, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_wing(ID_CHEESE)

_G.wpets.set_pet_sounds(ID_CHEESE, {
    spawn = 'cheese_spawn.ogg',
    happy = 'cheese_happy.ogg'
})

_G.wpets.add_pet_alt(ID_CHEESE, E_MODEL_CHEESE_C)